# Uses of Class
org.apache.sysds.parser.WhileStatementBlock

Packages that use WhileStatementBlock
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.util

## Uses of WhileStatementBlock in org.apache.sysds.parser

Methods in org.apache.sysds.parser with parameters of type WhileStatementBlock
Modifier and Type
Method
Description
`void`
DMLTranslator.`constructHopsForWhileControlBlock(WhileStatementBlock sb)`

## Uses of WhileStatementBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return WhileStatementBlock
Modifier and Type
Method
Description
`static WhileStatementBlock`
ProgramConverter.`createWhileStatementBlockCopy(WhileStatementBlock sb, boolean forceDeepCopy)`
Methods in org.apache.sysds.runtime.util with parameters of type WhileStatementBlock
Modifier and Type
Method
Description
`static WhileStatementBlock`
ProgramConverter.`createWhileStatementBlockCopy(WhileStatementBlock sb, boolean forceDeepCopy)`